Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenPropertyTab

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenCustomPropertyTab, GenStandardPropertyTab

All Known Implementing Classes:
  GenCustomPropertyTabImpl, GenPropertyTabImpl, GenStandardPropertyTabImpl

    public interface GenPropertyTab

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Property Tab'.

The following features are supported:

- `Sheet`
- `ID`
- `Label`

See Also:
  `GMFGenPackage.getGenPropertyTab()`
** Generated **
Model:
  abstract="true"

Method Summary
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getLabel()` Returns the value of the 'Label' attribute
`GenPropertySheet` `getSheet()` Returns the value of the 'Sheet' container reference.
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute
`void` `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSheet

    GenPropertySheet getSheet()

  Returns the value of the 'Sheet' container reference. It is bidirectional and its opposite is '`Tabs`'.

  If the meaning of the 'Sheet' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sheet' container reference.
  See Also:
    `GMFGenPackage.getGenPropertyTab_Sheet()`, `GenPropertySheet.getTabs()`
  ** Generated **
  Model:
    opposite="tabs" required="true" transient="false" changeable="false"

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFGenPackage.getGenPropertyTab_ID()`
  ** Generated **
  Model:
    required="true"

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

### getLabel

    java.lang.String getLabel()

  Returns the value of the 'Label' attribute.

  If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label' attribute.
  See Also:
    `setLabel(String)`, `GMFGenPackage.getGenPropertyTab_Label()`
  ** Generated **
  Model:

### setLabel

    void setLabel(java.lang.String value)

  Sets the value of the '`Label`' attribute.

  Parameters:
    `value` - the new value of the 'Label' attribute.
  See Also:
    `getLabel()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.